.bootstrap-select:not(.input-group-btn), .bootstrap-select[class*=col-]{
    height:24px;
    display:block !important;
}
:root {
    --coloreSelezionato: #666666; 
}
td,
th{
    vertical-align: middle !important;
    font-size: 0.9rem;
}
/* per il loader */
.loader,
.loader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}
.loader {
    color: #000111;
    font-size: 20px;
    margin: 100px auto;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load4 1.3s infinite linear;
    animation: load4 1.3s infinite linear;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
.lds-ellipsis {
    display: inline-block;
    position: relative;
    width: 10px;
    height: 10px;
}
.lds-ellipsis div {
    position: absolute;
    top: 5px;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background: #000111;
    animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
.lds-ellipsis div:nth-child(1) {
    left: 3px;
    animation: lds-ellipsis1 0.6s infinite;
}
.lds-ellipsis div:nth-child(2) {
    left: 8px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(3) {
    left: 32px;
    animation: lds-ellipsis2 0.6s infinite;
}
.lds-ellipsis div:nth-child(4) {
    left: 56px;
    animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
    0% {
        transform: scale(0);
    }
    100% {
        transform: scale(1);
    }
}
@keyframes lds-ellipsis3 {
    0% {
        transform: scale(1);
    }
    100% {
        transform: scale(0);
    }
}
@keyframes lds-ellipsis2 {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(24px, 0);
    }
}


.contenitoreContratto{
    margin:50px auto;
    /* border: solid 1px black; */
    position: relative;
    background-image: linear-gradient(to bottom, #fff, #F5F5F5);
    border-radius: 10px;
    -webkit-border-radius:10px;
    box-shadow: 5px 5px 13px #999;
    clear:both;
    padding: 0;
    overflow: hidden;
}
.intestazioneDettaglioContratto{
    background-color:#EFEFEF;
    border-radius: 10px 10px 0 0;
    -webkit-border-radius:10px 10px 0 0;
    padding:20px;
    display: inline-block;
    width: 100%;
}
@-webkit-keyframes load4 {
    0%,
    100% {
        box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
    }
    12.5% {
        box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    25% {
        box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    37.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    50% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    62.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
    }
    75% {
        box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
    }
    87.5% {
        box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
    }
}
@keyframes load4 {
    0%,
    100% {
        box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
    }
    12.5% {
        box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    25% {
        box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    37.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    50% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    62.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
    }
    75% {
        box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
    }
    87.5% {
        box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
    }
}

/* fine spinner */


.contenitoreAlertsInAlto{
    position: fixed;
    left: 40%;
    bottom: 5px;
}
.dataTables_length{
    padding:10px 0;
}
.dataTables_filter input{
    margin-left:5px;
    border-radius: 7px;
    -moz-border-radius:7px;
    -webkit-border-radius:7px;
}
.dataTables_paginate, .dataTables_info{
    text-align:center;
    padding:5px;
}
.dataTables_paginate{
    border-bottom:solid 1px #333;
}
.paginate_button{
    border: solid 1px #000111;
    margin: 3px;
    padding:2px;
    color: #000111;
}
.paginate_button:hover{
    color: black;
    cursor: pointer;
}
.current{
    background-color: #000111;
    color: white;
}
.paginate_button .current:hover{
    color: white;
}
/*.vaiUltimo{
    border: solid 1px #000111;
    margin-right: 3px;
}
.tornaPrimo{
    border: solid 1px #000111;
    margin-left: 3px;
}
.divisore{
    margin-left:3px;
    margin-right:3px;
} */

/* rimuove il bottone chiudi nel modale */
.close{
    display:none
}

/* per togliere i segnalini di cui non c'è il css */
table.dataTable thead .sorting:after{
    display: none;
}
table.dataTable thead .sorting_asc:after{
    display: none;
}
/* table.dataTable thead>tr>th.sorting_asc,
table.dataTable thead>tr>th.sorting_desc,
table.dataTable thead>tr>th.sorting,
table.dataTable thead>tr>td.sorting_asc,
table.dataTable thead>tr>td.sorting_desc,
table.dataTable thead>tr>td.sorting{
    padding-right: 0px;
} */
.colonnaDx{
    padding-top:60px;
}
.dropdown-menu.show{
    padding: 0;
}
.dropdown-item-primary{
    background-color: #000111;
    color:#fff;
}
.dropdown-item-primary:hover,
.dropdown-item-primary:focus{
    background-color: #243A21;
    color:#fff;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #a1da98;
}

.form-group{
    position: relative;
}
.icon-form{
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    color: #000111;
}

.controlloInput,
.btn-outline-secondary{
    border-color:#ccc;
    background-color: #FAFAFA;
}
@media (min-width: 1400px) {
    .container {
        max-width: 1340px;
    }
}
